OSSIM-INFO(1)

NAME
ossim-info - ossim-info

SYNOPSIS
ossim-info [options] <optional-image>

OPTIONS

--build-date
    Build date of code.

--cg
    Will print out ground center.

--ci
    Will print out image center.

--config
    Displays configuration info.

--datums
    Prints datum list.

--deg2rad
    <degrees> Gives radians from degrees.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--dno
    A generic dump if one is available. This option ignores overviews.

--factories
    <keyword_list_flag> Prints factory list. If keyword_list_flag is true, the result of a saveState will be output for each object.

--ft2mtrs
    <feet> Gives meters from feet (0.3048 meters per foot).

--ft2mtrs-us-survey
    <feet> Gives meters from feet (0.3048006096 meters per foot).

--height
    <latitude-in-degrees> <longitude-in-degrees> Returns the MSL and ellipoid height given a latitude longitude position.

--mtrs2ft
    <meters> Gives feet from meters (0.3048 meters per foot).

--mtrs2ft-us-survey
    <meters> Gives feet from meters (0.3048006096 meters per foot).

--mtrsPerDeg
    <latitude> Gives meters per degree and meters per minute for a given latitude.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--overview-types
    Prints overview builder types.

--palette
    Will print out the color palette if one exists.

--plugin-test
    Test plugin passed to option.

--plugins
    Prints plugin list.

--projections
    Prints projections.

--rad2deg
    <radians> Gives degrees from radians.

--reader-props
    Prints readers and properties.

--resampler-filters
    Prints resampler filter list.

--revision-number
    Revision number of code.

--writer-props
    Prints writers and properties.

--writers
    Prints list of available writers.

--zoom-level-gsds
    Prints zoom level gsds for projections EPSG:4326 and EPSG:3857.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-V or --vesion
    Version of code, e.g. 1.8.20

-c  Will print ground and image center.

-d  A generic dump if one is available.

-f  <format> Will output the information specified format [KWL | XML]. Default is KWL.

-h  Display this information

-i  Will print out the general image information.

-m  Will print out meta data image information.

-n or --north-up
    Rotation angle to North for an image.

-o  <output-file> Will output the information to the file specified. Default is to standard out.

-p  Will print out the image projection information.

-r  Will print image rectangle.

-s  Force the ground rect to be the specified datum

-u or --up-is-up
    Rotation angle to "up is up" for an image. Will return 0 if image's projection is not affected by elevation.

-v  Overwrite existing geometry.

    examples:

    ossim-info --version ossim-info -i ./myfile.tif

    prints out only general image information

    ossim-info -p ./myfile.tif

    prints out only image projection information

    ossim-info -p -s wge ./myfile.tif

    prints out only image projection information and shifts to wgs84

    ossim-info -p -i ./myfile.tif

    prints out both image and projection information

    ossim-info -p -i ./myfile.tif -o ./myfile.geom

    writes geometry file with both image and projection information

    ossim-info -p -i ./myfile.tif -v -o ./myfile.geom

    writes geometry file with both image and projection information while overwriting existing .geom file.

    ossim-info -f XML ./myfile.tif

    prints out image and projection information as an XML document

    ossim-info -d myfile.ntf

    Dumps all data available, in this case, all nitf tags, from file.

    ossim-info -d a.toc

    Dumps all data available, in this case, all nitf and rpf tags, from file.

    ossim-info --dno a.toc

    "dno" for "dump no overviews" Dumps all data available,

    in this case, all nitf and rpf tags, from file ignoring overviews.

    ossim-info -d -i -p myfile.ntf

    Typical usage case, i.e. do a dump of tags and print out image and projection information.

SEE ALSO
The full documentation for ossim-info is maintained as a Texinfo manual. If the info and ossim-info programs are properly installed at your site, the command

    info ossim-info

should give you access to the complete manual.